namespace BPA.MES.Base.Application.Entitys
{
    /// <summary>
    /// 名    称 ：员工信息  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/1/4 17:44:31 
    /// 描    述 ：  
    /// </summary>
    [SugarTable("sys_employee")]
    public class EmployeeEntity : DEntityBase
    {
        /// <summary>
        /// 员工姓名
        /// </summary>
        [SugarColumn(IsNullable = false)]
        public string Name { get; set; }
        /// <summary>
        /// 1男2女
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public int Gender { get; set; }
        /// <summary>
        /// 1启用 2禁用
        /// </summary>
        [SugarColumn(IsNullable = false)]
        public int Status { get; set; }
        /// <summary>
        /// 超管
        /// </summary>
        [SugarColumn(IsNullable = false)]
        public bool IsAdmin { get; set; }
        /// <summary>
        /// 角色Id
        /// </summary>
        public string RoleId { get; set; }
   
    }
}
